• Upgrade Your Account
    Hello Guest ! Upgrade your account to download from our sections Here.
    How to upgrade your account to download resources Learn More.
    Guest need to see List rather permanently banned Members Learn More.
    Guest need to read through our rules and regulations Learn More.

News XenForo 2.0.9 Released (Security Fix)

Status
Not open for further replies.

NullXF

Team NullXF
XF Root
Messages
9,647
Resources
3,385
Likes
3,810
#1
No, you're not imagining it - we are doing another release, just a day after the release of 2.0.8.

XenForo 2.0.9 fixes a flaw that could potentially be exploited to create a cross-site scripting vulnerability. We recommend that all customers running XenForo 2.0 upgrade to 2.0.9 or use the attached patch file as soon as possible. Note that if you are applying the patch rather than doing a full upgrade to 2.0.9, you will need to apply the 2.0.8 patch too.

XenForo extends thanks to Thomas Schneider for identifying the issue.

The issue is a XSS vulnerability. XSS (Cross Site Scripting) issues allow scripts and malicious HTML to be injected into the page, potentially allowing data theft or unauthenticated access.

Applying a Fix: Upgrading
You may upgrade to 2.0.9 to fix this issue. You should upgrade as you would to any other release.

Customers with an active license may download 2.0.9 from their customer area. Full details for how to install and upgrade XenForo can be found in the XenForo Manual.

Applying a Fix: Patching
Alternatively, this issue can be fixed by applying the patch in the attached file. You should simply overwrite the following file with the version attached to this message:
  • src/XF/Template/Templater.php
The file can be found at the same path within the attachment.
 

Attachments

Status
Not open for further replies.